Bug 175140 - konsole -profile functionality from kde 3.5.x
Summary: konsole -profile functionality from kde 3.5.x
Status: RESOLVED UNMAINTAINED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist with 315 votes (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
: 148867 189939 247119 280756 293555 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-11-14 17:05 UTC by Cass
Modified: 2017-02-13 02:13 UTC (History)
22 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
a script for saving tabs (1.46 KB, application/x-shellscript)
2014-01-06 12:02 UTC, Akiva Shor
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cass 2008-11-14 17:05:31 UTC
Version:            (using KDE 4.1.2)
OS:                Linux
Installed from:    Ubuntu Packages

In kde 3.5 you I use Settings -> Save Session Profile to save all of my tabs in konsole to a profile.  I use this to group servers that I need quick access to.  First I create sessions with an Exec line like this: ssh user@server.  I open them as new tabs in a konsole and then save them all as a profile.  I can open a web_servers profile and have 10 tabs all opened and logged into 10 different servers with one click or command, konsole -profile web_servers.

In kde 4.x that functionality does not seem to exist.  It appears that kde 4.x konsole -profile is the equivalent of konsole --type in kde 3.5.  Konsole --type opens one of my sessions in a konsole in kde 3.5.

I'd like to see the profile functionality from kde 3.5's konsole implemented in kde 4's konsole.
Comment 1 rusconi 2009-01-01 16:23:29 UTC
Hello,

I too think this is one of the major features of Konsole. This is clearly one of the features that keep me from going KDE4.

Sincerely, Filippo, an aficionado of KDE.
Comment 2 olivpass 2009-04-07 10:37:45 UTC
Hi,

me too! Im using kde 4.2.2, i am miss this feature.
Comment 3 Robert Knight 2009-04-18 13:46:09 UTC
*** Bug 189939 has been marked as a duplicate of this bug. ***
Comment 4 David A Thompson 2009-05-14 03:43:38 UTC
*** This bug has been confirmed by popular vote. ***
Comment 5 Cass 2009-05-14 14:47:14 UTC
Not sure if this affects the bugs confirmation but I have since moved to kubuntu 9.04 and this is how I work around the problem.

#!/bin/sh
konsole -e ssh me@server1
konsole --new-tab -e ssh me@server2
konsole --new-tab -e ssh me@server3

Opens the first one in a new konsole and the others in new tabs.  I place the scripts in a directory and view and run them using the Quick Access widget to mimic my menu based system from 8.04.
Comment 6 George L. Emigh 2009-07-23 23:31:17 UTC
I just moved from 3.5.10 to 4.3-rc3 and was disappointed that I had lost all my ssh sessions and no obvious way to reproduce the multiple tabbed konsole sessions selected from a terminal sessions menu similar to that of 3.5.10.

I would really like that feature as described in this feature request bug report.

Thank you,
George
Comment 7 George L. Emigh 2009-07-26 21:36:41 UTC
It took a little time to learn the new way things are being done in KDE4, I found that by using the Console Profiles Widget and enabling the Show New Tab and Close Tab buttons in the tab bar in the edit profile tab dialog I got the functionality I was looking for.

A nice touch would be in the Console Profiles Widget to have a check box on each entry and a check all button and a open checked button so a bunch of session profiles can be opened as tabs on the open or new console.

George
Comment 8 Jarmo Sorvari 2009-07-28 09:39:32 UTC
(In reply to comment #5)
> Not sure if this affects the bugs confirmation but I have since moved to
> kubuntu 9.04 and this is how I work around the problem.
> 
> #!/bin/sh
> konsole -e ssh me@server1
> konsole --new-tab -e ssh me@server2
> konsole --new-tab -e ssh me@server3
> 
> Opens the first one in a new konsole and the others in new tabs.  I place the
> scripts in a directory and view and run them using the Quick Access widget to
> mimic my menu based system from 8.04.

This seems to work if you only use one konsole window. But I have typically had (in KDE 3) 3-4 konsole windows each having about 10 logically related ssh sessions. And each with ssh-agent -protected single sign on. A huge time saver!

As it looks like with konsole --new-tab one has no control over to which window the new tab is added, the multi-window-multi-tab feature cannot be worked around. I hope I am missing something.

This missing feature is very close to a show-stopper for me.
Comment 9 val 2009-09-07 01:03:48 UTC
It is hard to imagine how and why such a functionality can be dropped while "upgrading". I couldn't find a place to vote for this feature to be restored. I'd like to add 100 votes. :)
Comment 10 Ernest Beinrohr 2009-12-18 21:30:17 UTC
Also, why cannot we use the .desktop files created by konsole from kde3?
Comment 11 Marc Perkel 2010-12-22 14:55:52 UTC
I'm beginning to think the KDE folks have disconected themselves from reality. KDE4 is a big step down from KDE3. Especially this konsole bug is a real deal killer.

In the Windows world I use Secure CRT and you would think the Linux world would come up with something better. I'm about to write a review of KDE for Dvorak's blog and it's not going to be pretty.
Comment 12 Gustav H Meyer 2011-05-03 22:33:52 UTC
I would also love to have this functionality back in Konsole. In fact in KDE 3.5 you could press CTRL+Right-Click and it would present a list of the different profiles, a huge time saver in my eyes.
Comment 13 Marcus Hardt 2011-05-04 10:57:32 UTC
My workaround was to switch to mrxvt, which offers this functionality. Config is by textfiles, which is not as comfortable, but offers more structure.
Comment 14 Marc Perkel 2011-05-04 16:02:35 UTC
KDE has actually gotten worse. It seems the KDE team has lost the concept of functionality. you would think that it would not be beyond the programming ability of the developers to be able to save and restore profiles. How hard can that be really? I wish they would just restore the old code. It's not like there are any new feature in the new Konsole that are noticeable. I quit using KDE over this. I'm running Gnome now. I do most of my SSH stuff from Windows.
Comment 15 Ernest Beinrohr 2011-05-04 16:21:51 UTC
I too stopped using kde. i'm on gnome and using kde3's konsole ;-) but planning on migrating to ROXTERM.
Comment 16 Marcus Hardt 2011-05-04 17:46:56 UTC
Yep, KDE4 made me switch to fluxbox, minimalistic, but functional. KMAil is one of the last one the tools I still use, but since it fails finding adresses stored in my _K_addressbook, I'll shift to s.th. else soon.
Comment 17 Jekyll Wu 2011-07-31 13:52:54 UTC
*** Bug 247119 has been marked as a duplicate of this bug. ***
Comment 18 Jekyll Wu 2011-09-21 05:57:34 UTC
*** Bug 280756 has been marked as a duplicate of this bug. ***
Comment 19 Jekyll Wu 2011-09-24 07:42:40 UTC
*** Bug 148867 has been marked as a duplicate of this bug. ***
Comment 20 Jekyll Wu 2012-02-06 14:18:32 UTC
[Comment from a Konsole contributor who has never used KDE3 Konsole in a serious way]

Well, I'm not sure whether this feature is removed intentionally or just not reimplemented yet. But comments #13 ~ #16 are really not helpful for getting this feature back. I can understand the frustration and anger when your favorite feature is gone after "upgrading", but sarcasm is NEVER constructive.  

(In reply to comment #13)
> My workaround was to switch to mrxvt, which offers this functionality. Config
> is by textfiles, which is not as comfortable, but offers more structure.

If you are fine with editing some file manually, Konsole provides similar possibility since KDE SC 4.5 . You can use the "--tabs-from-file" option to tell Konsole how to create tabs based upon a simple text file like this:

    # At this moment the effective format is "title:<title> ;; command: <command> ;;"
    title: zsh  ;; command: zsh;;
    title: tmux ;; command: tmux;;
    title: mc   ;; command: mc;;
    title: user@host ;; command: ssh user@host;;

That option and its related format are not good enough IMO, but it could be a start point for getting this feature back.
Comment 21 Jekyll Wu 2012-02-07 19:30:31 UTC
*** Bug 293555 has been marked as a duplicate of this bug. ***
Comment 22 orionbelt2 2012-02-18 02:58:38 UTC
Dear Jekyll,

First of all, thanks for the suggested workaround, as well as for all your work with identifying bug duplicates :)

Secondly, as you implicitly say yourself, your workaround does not really replace the lost functionality. For example, in KDE3, konsole sessions retained memory of the current working directory of each shell. No more. There is the --workdir option, but it refers to all of konsole, not to each shell separately! Clearly, it's an option that should be allowed in the tabs file (along with title and command) but is not.

Thirdly, please allow me to kindly disagree with your assessment that comments #13-16 were sarcastic. I think they were just being factual. I do understand that most KDE devs are volunteers, but *if* they care for their product to be relevant with users, they should listen to them once in a while. It's not just konsole that is broken in KDE4 (and in more than one *major* ways, see e.g. Bug 188528). There's several other *important* packages that are either still broken or fixed with 2+ years of delay since first reported. When i say "broken" i mean with major functionalities missing with respect to KDE3. Just out of memory, i recall my troubles with kmix (e.g., Bug 269176), the keyboard layouts switch (e.g., Bug 204144), the digital clock widget (e.g., Bug 284891), and i'm sure there were more. We are now at version 4.8 and some of them are still unresolved, and even those resolved had to wait till past version 4.5!

If it was just a question of developer work overload, i would just shut up. But we see intensive development in other segments of KDE (semantic stuff, etc.) which may be cool buzzwords but of lower priority (or worse) for many/most users (was there any user poll ever run?).

But i'm getting out of topic here, so i'll stop.
Comment 23 Jekyll Wu 2012-02-18 17:41:19 UTC
[ TL;DR (Off Topic) Konsole does not have many developers, which has NOTHING to do with those cool things in KDE4 ]

Well, I am involved only with the development of Konsole so I wouldn't make comment for the big picture of "KDE4". 

As for Konsole, it does not have many developers. But that has been the case for a few years(including the KDE3 era). So it is not that Konsole developers change focus to other cool or fancy things. It is just that Konsole has never had many developers. 

The problem with the KDE4 konsole is that  KDE3 konsole ==> KDE4 konsole is more like rewriting than normal upgrading or porting. In this process, some features were lost and some bugs were introduced. Then Robert, the most productive Konsole developer, discontinued his contribution to Konsole and KDE. So some issues were not fixed or reimplemented as planned or promised . I would say KDE4 Konsole was and is still an half-finished product.

In the most time between 2009 and 2012, there is only one man who worked lonely to take care of Konsole on a regular basis. That is Kurt. That "one man's show" is a bit sad and is not enough to push KDE4 Konsole moving forward quickly. Then I joined in last year. Now we have two regular developers. Not so many , but the number has been doubled. And the situation has been improving since then.

In June 2011, there were about 600 reports(including wishes) for Konsole. It is not hard to imagine the frustration and difficulty for one man(Kurt) to deal with or even read those 600 reports. Now we have about 200 reports. Those closed 400 reports include quite a few bug fixes and features, although many of them are just duplicate or invalid.

So please, do not use words like "if they care for their product to be relevant with users..." too easily when you are annoyed by your most hated issue of some application. That is often the wrong impression or conclusion. It is better to make that judgement only when you know the big picture of one application. For Konsole, if you have subscribed to its mailing list at konsole-devel@kde.org, followed its commits by using commitfilter.kde.org, watched related review requests on reviewboard.kde.org/groups/konsole, I bet you wouldn't say that.

The reason I see some comments as unhelpful is they not only contains no information for solving the problem(bugzilla is for tracking and solving problems, right?), but also frustrate and demotivate existing and potential developers. Although I'm always already frustrated even before reading any bug report, this one makes me frustrated to the point that I only want to imagine some solution in the head without writing any code for it although I do have the time .
Comment 24 orionbelt2 2012-02-21 03:11:38 UTC
Hi again Jekyll,

Many thanks to you and Kurt. Please keep up the good work with konsole! Nobody here made personal accusations, we just deplore a bad situation, and what you and Kurt do is strive to improve it. You have our gratitude, not our anger!

Perhaps i should have expressed myself better. I do understand that developers choose which KDE projects they want to contribute to. But apparently most prefer to contribute to projects they consider "cooler" than the likes of konsole. Fair enough --their choice. But shouldn't KDE's governing council have taken this imbalance into account when deciding that KDE4 would be an almost complete rewrite? KDE is not just any component, it's one of the major (inter)faces of Linux. Users expect things to get better when upgrading, and they get disappointed when they get worse. I submit that a terminal console is more fundamental to a Unix environment than, say, amarok. If only you and Kurt were able to do so much, then one or two extra devs might have been able to bring konsole to KDE3-level of features by now. Could KDE management have more actively encouraged devs to contribute to the likes of konsole? I dunno. All i know is that at version 4.8 there's several basic packages that are still problematic, and lots of users and distros still sticking to KDE3 --for a reason, and despite the nice new things that KDE4 undoubtedly introduced. Please take this as a constructive comment from your user base about the direction that we would like to see things move, not as a negative criticism. And sure, it would be nicer if we all contributed code than opinions, but not all of us can contribute code to all open source projects!

Since this is being off topic, i will not post any more replies. I hope that at least the spirit of my comment has been understood. Thanks again :)
Comment 25 Marcus Hardt 2012-02-21 11:22:25 UTC
I guess it's time for me to apologize my comment #13 and #16. Yes, I was unhappy about the transition to KDE-4, but I mainly wrote those lines for others to obtain the missing functionality ad-hoc. In case they were understood too demotivative, please accept my apology.
Comment 26 Akiva Shor 2014-01-06 12:02:23 UTC
Created attachment 84476 [details]
a script for saving tabs

Hi
I just wrote a small script that saves your konsole tabs so you can restore them later if the computer crashes or you just want to reboot.

You can use ksave.sh --help to see how it works.

If you want shortcuts added to your alias so you can just type these command:
ksave        save your current tab
krestore    restore all saved tab
kclear        clear all saved tabs

Just run these commans:
echo "a ksave '/path/of/file/ksave.sh'">> ~/.alias
echo "a krestore '~/konsole_tabs.restore'">> ~/.alias
echo "a kclear '/path/of/file/ksave.sh --clear'">> ~/.alias
source ~/.alias

Enjoy
Akiva
Comment 27 Kurt Hindenburg 2017-02-13 02:13:10 UTC
I'll close this since we're on KDE5 - "--tabs-from-file <file> " might be of use if anyone is still interested.

Open a new wish if you find what you need isn't possible now.